Create a compliance catalog entry
post
https://api.expiryedge.com/v1/createComplianceeditor or admin60/minIdempotency-KeyJede Methode
Anfrage
curl -X POST 'https://api.expiryedge.com/v1/createCompliance' \
-H "Authorization: Bearer $EXPIRYEDGE_API_KEY" \
-H "Content-Type: application/json" \
-H "Idempotency-Key: $(uuidgen)" \
-d '{
"name": "HIPAA Security Risk Assessment",
"description": "Annual security risk analysis required under the HIPAA Security Rule.",
"category": "Data Privacy",
"renewalFrequency": "Annually",
"notes": "Keep the signed report for six years.",
"status": "Active",
"customFields": {
"regulator": "HHS OCR"
}
}'Antwort
{
"message": "Compliance created successfully.",
"compliance": {
"id": "cm_9Pq4zR",
"name": "HIPAA Security Risk Assessment",
"description": "Annual security risk analysis required under the HIPAA Security Rule.",
"category": "Data Privacy",
"customCategory": "",
"renewalFrequency": "Annually",
"notes": "Keep the signed report for six years.",
"status": "Active",
"customFields": {
"regulator": "HHS OCR"
},
"isArchived": false,
"archivedAt": null,
"organization_id": "org_northwind",
"user_id": "u_71bXq",
"createdAt": "2026-09-27T14:05:00.000Z",
"updatedAt": "2026-09-27T14:05:00.000Z"
}
}No plan limit applies.
Idempotency-KeystringOptional client-generated key (1-255 characters of letters, digits,- _ : .).pattern: ^[A-Za-z0-9_\-:.]{1,255}$
namestringerforderlichRequired on create; cannot be blank on update.descriptionstringcategorystringAny other value is stored asOther.ErlaubtData PrivacySafetyFinancialEnvironmentalLaborQualitySecurityRegulatoryOthercustomCategorystringOnly kept whencategoryisOther.renewalFrequencystringAny other value is stored asOne-Time.ErlaubtOne-TimeMonthlyQuarterlyAnnuallyBienniallynotesstringstatusstringAny other value is stored asActive.ErlaubtActiveInactivecustomFieldsmap of stringFree-form key/value pairs. Keys are trimmed; values are stored as strings.
201
Created.
messagestringcomplianceobjectA compliance requirement in the organization catalog.
400 | The request is missing required fields or contains invalid values. |
401 | Missing, expired or invalid bearer token. |
403 | Authenticated, but your role or organization does not allow this action. |
409 | A request with the same Idempotency-Key is still being processed. Retry after Retry-After seconds. |
422 | The Idempotency-Key was already used with a different request body. |
429 | Too many requests for this endpoint from your IP. Wait Retry-After seconds. |
500 | Unexpected server error. Retry later; quote requestId to support. |
